Bug 472296

Summary: mouse locked up under -vnc -usbdevice tablet options
Product: [Fedora] Fedora Reporter: eric magaoay <ericm24x7>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 10CC: berrange, clalance, ericm24x7, gcosta, markmc, mrubel, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-12-18 01:53:27 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description eric magaoay 2008-11-19 16:45:34 EST
Description of problem:
running qemu-kvm with "-vnc" and "-usbdevice tablet" enabled the mouse icon will locked up.

NOTE: without using "-usbdevice tablet" option, the mouse icon will simply divert apart with the pointer.


Version-Release number of selected component (if applicable):
kvm-74-5.fc10.x86_64.rpm
kernel-2.6.27.5-113.fc10.x86_64.rpm
qemu-0.9.1-10.fc10.x86_64.rpm

How reproducible:
persistent

Steps to Reproduce:
1. from console:
   /usr/bin/qemu-kvm -drive file=/a/i/fdb1,boot=on -localtime -monitor stdio -vnc :2841 -usbdevice tablet -name fdb1-18741 -m 512
2. from viewer console: 
   vncviewer :8741
Comment 1 Daniel Berrange 2008-11-19 17:01:44 EST
What guest OS are you using inside the VM ?

If its Windows it will automatically enable the USB tablet. If it is Linux, then your pointer will very often be frozen, until you actually configure Xorg to use the USB tablet....
Comment 2 eric magaoay 2008-11-20 15:25:41 EST
The guest OS is the latest rawhide snapshot. I just download the latest build tree this morning (11/20/08) and the problem disappeared. I also remove the following commandline option, "-usbdevice tablet", since  it is working without it so far. Will test Windows guest OS when I get a chance.
Comment 3 eric magaoay 2008-11-21 02:01:13 EST
OK, I need to retract my previous post, the problem is still there.  The problem only appear using VNC option and not SDL for display. 

As I have mentioned earlier, the mouse icon works OK if I removed "-usbdevice tablet". However, it has side affect: the mouse icon divert apart with the pointer as you move the mouse. Very annoying but at least a working mouse nonetheless. 

I don't know why xorg.conf needs to be configured now when it was working before without any changes. Anyway, I will try find and test which config will work.
Comment 4 Bug Zapper 2008-11-26 00:37:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Mike Rubel 2008-11-26 23:00:36 EST
I believe I am also seeing this bug.  In my case, it arises when attempting to install and run Fedora 10, x86-64 build, on a KVM instance to a vnc-exported display.  The host machine is running Fedora 9, x86-64, and the VNC terminal is running an old version (Fedora 7) with vncviewer.  I have forwarded the VNC connection over an ssh tunnel.

Briefly, running qemu-kvm with -usbdevice tablet leaves the arrow cursor stuck in the center of the vncviewer screen, even while the tablet "point" moves freely around the window.

This problem did not occur under otherwise identical conditions when installing or running a Fedora 9 KVM instance.

Might it have something to do with the evdev change?
Comment 6 Bug Zapper 2009-11-18 03:54:19 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:53:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.